
# coding _*_ utf-8 _*

"""
author: Thomas Gillis

Created on 1/7/2013
Last update on 26/8/2013

Copyright 2013 Universite Catholique de Louvain
"""


#==============================================================================
# Packages loading
#==============================================================================
import matplotlib.pyplot as plt
from PyRobotran import *
np.set_printoptions(precision=5,suppress=True)


#==============================================================================
# Project loading
#==============================================================================

filename='! ! ! Give name of the *.mbs file here ! ! ! '  ...
mbs=Data(filename)
mbs.load()
print '\n\nProject {0} loaded successfully!'.format(mbs.name)



#==============================================================================
# Coordinate partitioning
#==============================================================================
print('Starting partitioning')
cp=Coord_part(mbs)
cp.run()

#==============================================================================
# Computation
#==============================================================================

dirdyn=Dirdyn(mbs)
dirdyn.setTspan(0.0,10.0)
dirdyn.run()


#==============================================================================
# Ploting
#==============================================================================
plt.close('all')

plt.clf()
index=mbs.get_body_id('body_0')
plt.plot(dirdyn.result.time, dirdyn.result.q[:,index],'b-')
index=mbs.get_body_id('body_1')
plt.plot(dirdyn.result.time, dirdyn.result.q[:,index],'r-')
plt.legend(('pendulum','slider'),'best')
plt.show()

